[Prev: MSGPGEND] | [Resources][TOC] | [Next: MSGPGSSMARKUP]

# MSGPGS

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  `M2H_MSGPGS=`[ `0` | `1` ]

Element

  `<MSGPGS>`
  `<NOMSGPGS>`

Command-line Option

  `-msgpgs`
  `-nomsgpgs`

## Description

CAUTION: | MSGPGS should not be changed after the initial creation of an archive. If changed, unexpected behavior and possible errors may occur.

MSGPGS resource determines if MHonArc will generate HTML pages for messages processed. If set, pages will be created for each processed messages as defined by message page layout.

If MSGPGS is not set, no message pages will be created. Having no message pages created may be desired if you only want to use MHonArc for its index page generation. In this case, relevant resources that link to message pages must be redefined to properly retrieve messages from how they are stored on the system.

When MSGPGS is off, messge body data is skipped when processing input data. Hence, processing time is much faster since no message conversion is performed. The database file is still created to support updates to index pages.

## Default Setting

On.

## Resource Variables

N/A

## Examples

Not yet.

## Version

2.3.0

## See Also

MAIN, THREAD

[Prev: MSGPGEND] | [Resources][TOC] | [Next: MSGPGSSMARKUP]